#import "DTMFController.h"
#import "DTMFGenerator.h"

@implementation DTMFController

- (void)awakeFromNib
{
    dtmfGenerator = [[DTMFGenerator alloc] init];
}

- (void)dealloc
{
    [dtmfGenerator release];
    [self dealloc];
}

- (IBAction)dialThroughSpeaker:(id)sender
{
    NSSound *sound;

    [dtmfGenerator clear];
    [dtmfGenerator appendTonesForString:[dialField stringValue]];
    sound = [dtmfGenerator sound];
    [sound setDelegate:self];
    if ([sound play]) {
        [sound retain];
        [dialField setEnabled:NO];
        [dialButton setEnabled:NO];
    } else {
        NSLog(@"Can't play the sound.");
    }
}

- (void)sound:(NSSound *)sound didFinishPlaying:(BOOL)aBool
{
    [sound release];
    [dialField setEnabled:YES];
    [dialButton setEnabled:YES];
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)app
{
    return YES;
}

@end
