//
//  DTMFGenerator.h
//  DTMF
//
//  Created by Benjamin Ragheb on Sat Jun 07 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface DTMFGenerator : NSObject
{
    NSMutableData *soundData;
    SInt8 *workBuffer;
    unsigned int workBufferLength;
    double defaultToneDuration;
    double defaultGapDuration;
    double defaultPauseDuration;
    NSString *temporaryFilePath;
}
- (void)clear;
- (void)appendToneFrequency:(double)freq1 frequency:(double)freq2 duration:(double)duration;
- (void)appendSilenceDuration:(double)duration;
- (void)appendToneForCharacter:(unichar)x duration:(double)duration gap:(double)gap;
- (void)appendToneForCharacter:(unichar)character;
- (void)appendTonesForString:(NSString *)string;
- (double)toneDuration;
- (void)setToneDuration:(double)seconds;
- (double)gapDuration;
- (void)setGapDuration:(double)seconds;
- (double)pauseDuration;
- (void)setPauseDuration:(double)seconds;
- (BOOL)writeToFile:(NSString *)path;
- (NSSound *)sound;
@end
