//
//  SoundDialABPlugIn.h
//
//  Created by Benjamin Ragheb on Fri Nov 28 2003.
//  Copyright (c) 2008 Benjamin Ragheb. All rights reserved.
//

#import <AddressBook/AddressBook.h>
#import "DTMFGenerator.h"

@interface SoundDialABPlugIn : NSObject
{
    DTMFGenerator *dtmfGenerator;
    NSUserDefaults *userDefaults;
}

// Returns the property this action is for.
- (NSString *)actionProperty;

// Returns the title for this action. The current person is passed in as person.
// If the actionProperty is a multiValue type, identifier will contain the identifier
// of the item the user rolled over. If the actionProperty is not a multiValue type
// identifier will be nil.
- (NSString *)titleForPerson:(ABPerson *)person identifier:(NSString *)identifier;

// This method is called when the user selects your action. As above, this method
// is passed information about the data item rolled over.
- (void)performActionForPerson:(ABPerson *)person identifier:(NSString *)identifier;

- (void)reloadUserDefaults;

@end

